# Choosier (Browser)

This is a simple tool that's meant to be used as your default browser, and can
be configured to open the URL in different browsers based on the domain.

The initial prototype just passes through the URL to the current default
browser; routing and registering this as a browser will be added later.

## Installation

A Fedora RPM is in the works. Meanwhile, to install:

`sudo make install-all` will install `choosier` to `/usr/local/bin` and the
desktop file to `/usr/local/share/applications`.

Override the prefix using `PREFIX`, e.g. change it to `/usr`: 

``` shell
sudo make install-all PREFIX=/usr
```

Verify that `choosier` is available as a MIME handler:

``` shell
gio mime text/html
gio mime application/xhtml+xml
```

Then copy `examples/choosier.toml` to `$HOME/.config/choosier/choosier.toml` (to
use it for your own user) or to `/etc/choosier/choosier.toml` (will apply to all
users unless that user has a local override), and change your default browser to
Choosier (e.g. in GNOME, `Settings -> Default Applications -> Web`).

## License

`choosier` is subject to the terms of the Mozilla Public License, v. 2.0.

See [LICENSE.txt](https://hg.sr.ht/~michel-slm/choosier/browse/LICENSE.txt) for details.

## TODOs

Tasks and issues are tracked [here](https://todo.sr.ht/~michel-slm/choosier).


